Bug 14537 - Rename system preference 'OverdueNoticeBcc' to 'NoticeBcc'
Summary: Rename system preference 'OverdueNoticeBcc' to 'NoticeBcc'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Aleisha Amohia
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-16 12:39 UTC by Barton Chittenden
Modified: 2017-12-07 22:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
The system preference 'OverdueNoticeBcc' is renamed to 'NoticeBcc' as it does not only apply to overdue notices, but to notices in general.


Attachments
Bug 14537: Renaming OverdueNoticeBcc to NoticeBcc (4.42 KB, patch)
2017-04-05 04:21 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 14537: Renaming OverdueNoticeBcc to NoticeBcc (4.55 KB, patch)
2017-04-05 10:21 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14537: Renaming OverdueNoticeBcc to NoticeBcc (4.65 KB, patch)
2017-04-07 09:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14537: [QA Follow-up] Remove one overdues residue in pref description (1.57 KB, patch)
2017-04-07 09:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2015-07-16 12:39:36 UTC
The system prefrerence 'OverdueNoticeBcc' seems, by its name, to imply that a BCC will be added to all overdue notices -- the description says that the address will be added to all notices. The behavior of the system follows the description, not the system preference name.

The system preference should be re-named to NoticeBcc.

See also 

  * bug 12490
  * discussion on the topic in #koha: http://irc.koha-community.org/koha/2015-07-16#i_1703637
Comment 1 Aleisha Amohia 2017-04-05 04:21:27 UTC
Created attachment 61862 [details] [review]
Bug 14537: Renaming OverdueNoticeBcc to NoticeBcc

To test:
1) Apply patch and update database
2) Run 'git grep "OverdueNoticeBcc"' and confirm there are no other
instances

Sponsored-by: Catalyst IT
Comment 2 Marc Véron 2017-04-05 10:21:50 UTC
Created attachment 61872 [details] [review]
Bug 14537: Renaming OverdueNoticeBcc to NoticeBcc

To test:
1) Apply patch and update database
2) Run 'git grep "OverdueNoticeBcc"' and confirm there are no other
instances

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Marcel de Rooy 2017-04-07 09:18:02 UTC
Created attachment 61961 [details] [review]
Bug 14537: Renaming OverdueNoticeBcc to NoticeBcc

To test:
1) Apply patch and update database
2) Run 'git grep "OverdueNoticeBcc"' and confirm there are no other
instances

Sponsored-by: Catalyst IT

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-04-07 09:18:07 UTC
Created attachment 61962 [details] [review]
Bug 14537: [QA Follow-up] Remove one overdues residue in pref description

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2017-04-13 13:15:18 UTC
Pushed to master for 17.05, thanks Aleisha, Marcel!
Comment 6 Katrin Fischer 2017-04-16 12:27:35 UTC
+1 

This won't get ported back to 16.11.x as it is an enhancement.
Comment 7 Marc Véron 2017-05-17 19:17:40 UTC
Fixed small typo in text for release notes (prefrence)